<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PF\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class RegB365 extends Record {
    /**
     * @var array Lista de colunas esperadas para o bloco
     */   
    protected $templateColumns = [
       
        [
            'name' => "type_rule",
            'position' => 1,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "total_occur",
            'position' => 5,
            'size' => 5,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "description",
            'position' => 10,
            'size' => 28,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "smallest_date",
            'position' => 38,
            'size' => 6,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "largest_date",
            'position' => 44,
            'size' => 6,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],
        [
            'name' => "company",
            'position' => 50,
            'size' => 40,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "filler_1",
            'position' => 90,
            'size' => 26,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];


    public function __construct($values = null) {
        $this->createColumns();
    }


}