<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PJ\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class RegB003 extends Record {
    /**
     * @var array Lista de colunas esperadas para o bloco
     */   
    protected $templateColumns = [
        [
            "name" => "type_rule",
            "position" => "1",
            "size" => "4",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "marital_status",
            "position" => "5",
            "size" => "12",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "depend",
            "position" => "17",
            "size" => "2",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "education",
            "position" => "19",
            "size" => "12",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "city_birth",
            "position" => "31",
            "size" => "25",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "state_birth",
            "position" => "56",
            "size" => "2",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "cpf_spouse",
            "position" => "58",
            "size" => "11",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "ddd_res",
            "position" => "69",
            "size" => "3",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "phone_res",
            "position" => "72",
            "size" => "9",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "ddd_com",
            "position" => "81",
            "size" => "3",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "phone_com",
            "position" => "84",
            "size" => "9",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "branch",
            "position" => "93",
            "size" => "4",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "cell",
            "position" => "97",
            "size" => "9",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "ddd_cell",
            "position" => "106",
            "size" => "3",
            "type" => RecordColumn::TYPE_NUMERIC,
        ],
        [
            "name" => "filler_1",
            "position" => "109",
            "size" => "7",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];



    public function __construct($values = null) {
        $this->createColumns();
    }


}