<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PJ\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class RegB353 extends Record {
    /**
     * @var array Lista de colunas esperadas para o bloco
     */   
    protected $templateColumns = [
       
        [
            'name' => "type_rule",
            'position' => 1,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

        [
            'name' => "credit_total",
            'position' => 5,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "credit_current_date",
            'position' => 8,
            'size' => 6,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "credit_current",
            'position' => 14,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "credit_month_1",
            'position' => 17,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "credit_month_2",
            'position' => 20,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "credit_month_3",
            'position' => 23,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "check_total",
            'position' => 26,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "check_current",
            'position' => 29,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "check_month_1",
            'position' => 32,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "check_month_2",
            'position' => 35,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "check_month_3",
            'position' => 38,
            'size' => 3,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "position",
            'position' => 41,
            'size' => 8,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "date_ficad",
            'position' => 49,
            'size' => 8,
            'type' =>  RecordColumn::TYPE_NUMERIC,
        ],

        [
            'name' => "filler_1",
            'position' => 57,
            'size' => 59,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],

    ];


    public function __construct($values = null) {
        $this->createColumns();
    }


}
