<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PJ\SubTypes\F900;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class SubTypeBPIR_0 {
    public $name = "recovery_indicator";

    public $templateColumns = [
        
        [
            'name' => "type_rule",
            'position' => 1,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "code_cons",
            'position' => 5,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "type_block",
            'position' => 9,
            'size' => 1,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "message",
            'position' => 10,
            'size' => 70,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "filler_1",
            'position' => 80,
            'size' => 36,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];
}