<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PJ\SubTypes\NXXX;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class SubTypeN430_00 {
    public $name = "phone_address_subscriber_confirmation";

    public $templateColumns = [
        [
            'name' => "type_rule",
            'position' => 1,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "sub_type_rule",
            'position' => 5,
            'size' => 2,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "ddd_1",
            'position' => 7,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "fone_1",
            'position' => 11,
            'size' => 10,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "ddd_2",
            'position' => 21,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "fone_2",
            'position' => 25,
            'size' => 10,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "ddd_3",
            'position' => 35,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ]
        ,
        [
            'name' => "fone_3",
            'position' => 39,
            'size' => 10,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ]
        ,
        [
            'name' => "ddd_4",
            'position' => 44,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ]
        ,
        [
            'name' => "fone_4",
            'position' => 48,
            'size' => 10,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ]
        ,
        [
            'name' => "ddd_5",
            'position' => 58,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ]
        ,
        [
            'name' => "fone_5",
            'position' => 62,
            'size' => 10,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ]
        ,
        [
            'name' => "filler",
            'position' => 72,
            'size' => 44,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ]
    ];
}