<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PJ\SubTypes\NXXX;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class SubTypeN460_02 {
    public $name = "lawsuits_details_subjudice";

    public $templateColumns = [
        [
            'name' => "type_rule",
            'position' => 1,
            'size' => 4,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "sub_type_rule",
            'position' => 5,
            'size' => 2,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "praca",
            'position' => 7,
            'size' => 04,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "distrib",
            'position' => 11,
            'size' => 2,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "vara",
            'position' => 13,
            'size' => 2,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "data",
            'position' => 15,
            'size' => 8,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "proces",
            'position' => 23,
            'size' => 16,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            'name' => "msg",
            'position' => 39,
            'size' => 77,
            'type' =>  RecordColumn::TYPE_ALPHANUMERIC,
        ]
    ];
}