<?php

namespace Schaffen\SerasaRemessa\Http\Advanced\PF\Blocks;

use Schaffen\SerasaRemessa\Utils\Record;
use Schaffen\SerasaRemessa\Utils\RecordColumn;
use Schaffen\SerasaRemessa\Utils\Util;

class RegB014 extends Record {
    /**
     * @var array Lista de colunas esperadas para o bloco
     */   
    protected $templateColumns = [
        [
            "name" => "type_rule",
            "position" => "1",
            "size" => "4",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "bank_1",
            "position" => "5",
            "size" => "20",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "flag_1",
            "position" => "25",
            "size" => "10",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "bank_2",
            "position" => "35",
            "size" => "20",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "flag_2",
            "position" => "55",
            "size" => "10",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "out_emiss",
            "position" => "65",
            "size" => "20",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "flag_3",
            "position" => "85",
            "size" => "10",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "type_seg_1",
            "position" => "95",
            "size" => "15",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
        [
            "name" => "filler_1",
            "position" => "110",
            "size" => "6",
            "type" => RecordColumn::TYPE_ALPHANUMERIC,
        ],
    ];


    public function __construct($values = null) {
        $this->createColumns();
    }


}